Update customer monitored assets
Path Parameters
Customer UUID
uuidHeader Parameters
Partner organization identifier
API authentication key
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/integrations/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08/assets" \ -H "SW-PARTNER-ID: string" \ -H "SW-API-KEY: string" \ -H "Content-Type: application/json" \ -d '{ "domains": [ "example.com", "new.example.com" ], "emails": [ "user@example.com" ] }'{
"success": true,
"domains": [
"example.com",
"new.example.com"
],
"emails": [
"user@example.com"
]
}{
"success": false,
"error": "Request body must be valid JSON"
}{
"success": false,
"error": "Failed to verify org API key"
}{
"success": false,
"error": "Customer not found or does not belong to partner"
}{
"success": false,
"error": "At least one of domains or emails must be provided"
}{
"success": false,
"error": "Failed to update customer assets"
}Get customer monitored assets GET
Returns the list of domains and email addresses monitored for the given customer. The customer must belong to the authenticated partner.
Get customer info GET
Returns a customer's non-monitoring details including locale, lifecycle status, and whether the customer has been scanned for breaches. The customer must belong to the authenticated partner.